import { BaseEntity } from '@/api/interface/index'
export interface AircraftVO extends BaseEntity {
  /**
   * 机型Id
   */
  parentId: string | number

  /**
   * 机型/机号
   */
  name: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string

  /**
   * 子树对象
   */
  children: AircraftVO[]
}

export interface AircraftForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 机型Id
   */
  parentId?: string | number

  /**
   * 机型/机号
   */
  name?: string
}

export interface AircraftQuery {
  /**
   * 机型/机号
   */
  name?: string

  /**
   * 日期范围参数
   */
  params?: any
}
