import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface DataImportVO extends BaseEntity {
  /**
   * 文件编号
   */
  ossId: string | number

  /**
   * 数据源
   */
  source: string

  /**
   * 架次号
   */
  sortieNo: string

  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 飞行日期
   */
  flightDate: string

  /**
   * 状态（1正常）
   */
  status: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number
}

export interface DataImportForm {
  /**
   * 唯一编号
   */
  id?: string | number

  /**
   * 文件编号
   */
  ossId?: string | number

  /**
   * 数据源
   */
  source?: string

  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 飞行日期
   */
  flightDate?: string

  /**
   * 状态（1正常）
   */
  status?: string
}

export interface DataImportQuery extends PageQuery {
  /**
   * 文件编号
   */
  ossId?: string | number

  /**
   * 数据源
   */
  source?: string

  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 飞行日期
   */
  flightDate?: string

  /**
   * 状态（1正常）
   */
  status?: string

  /**
   * 日期范围参数
   */
  params?: any
}
