import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface MaintenanceRecordVO extends BaseEntity {
  /**
   * 机型
   */
  aircraftType: string

  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 出厂号码
   */
  serialNumber: string

  /**
   * 专业
   */
  specialty: string

  /**
   * 系统
   */
  systemName: string

  /**
   * 发动机型别
   */
  engineType: string

  /**
   * 发动机号码
   */
  engineSerialNumber: string

  /**
   * 单位
   */
  unitName: string

  /**
   * 故障现象
   */
  faultPhenomenon: string

  /**
   * 故障发生地点
   */
  locationFault: string

  /**
   * 发现时机
   */
  discoveryTime: string

  /**
   * 故障件名称
   */
  itemName: string

  /**
   * 故障件型别
   */
  itemType: string

  /**
   * 故换件号码
   */
  partNumber: string

  /**
   * 故换件型别
   */
  partType: string

  /**
   * 故障失常码
   */
  faultCode: string

  /**
   * 故障件装机日期
   */
  installationDate: string

  /**
   * 故障原因
   */
  causeFault: string

  /**
   * 故障性质
   */
  natureFault: string

  /**
   * 故障责任
   */
  liabilityFault: string

  /**
   * 故障后果
   */
  consequencesFault: string

  /**
   * 发生日期
   */
  occurDate: string

  /**
   * 判明方法
   */
  methodDetermination: string

  /**
   * 排除方法
   */
  methodRectification: string

  /**
   * 发现人
   */
  discoveredBy: string

  /**
   * 排故人
   */
  rectificationBy: string

  /**
   * 审核人
   */
  reviewerBy: string

  /**
   * 排故人数
   */
  rectificationNumber: string

  /**
   * 备注
   */
  remarks: string
}

export interface MaintenanceRecordForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 机型
   */
  aircraftType?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 出厂号码
   */
  serialNumber?: string

  /**
   * 专业
   */
  specialty?: string

  /**
   * 系统
   */
  systemName?: string

  /**
   * 发动机型别
   */
  engineType?: string

  /**
   * 发动机号码
   */
  engineSerialNumber?: string

  /**
   * 单位
   */
  unitName?: string

  /**
   * 故障现象
   */
  faultPhenomenon?: string

  /**
   * 故障发生地点
   */
  locationFault?: string

  /**
   * 发现时机
   */
  discoveryTime?: string

  /**
   * 故障件名称
   */
  itemName?: string

  /**
   * 故障件型别
   */
  itemType?: string

  /**
   * 故换件号码
   */
  partNumber?: string

  /**
   * 故换件型别
   */
  partType?: string

  /**
   * 故障失常码
   */
  faultCode?: string

  /**
   * 故障件装机日期
   */
  installationDate?: string

  /**
   * 故障原因
   */
  causeFault?: string

  /**
   * 故障性质
   */
  natureFault?: string

  /**
   * 故障责任
   */
  liabilityFault?: string

  /**
   * 故障后果
   */
  consequencesFault?: string

  /**
   * 发生日期
   */
  occurDate?: string

  /**
   * 判明方法
   */
  methodDetermination?: string

  /**
   * 排除方法
   */
  methodRectification?: string

  /**
   * 发现人
   */
  discoveredBy?: string

  /**
   * 排故人
   */
  rectificationBy?: string

  /**
   * 审核人
   */
  reviewerBy?: string

  /**
   * 排故人数
   */
  rectificationNumber?: string

  /**
   * 备注
   */
  remarks?: string
}

export interface MaintenanceRecordQuery extends PageQuery {
  /**
   * 机型
   */
  aircraftType?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 出厂号码
   */
  serialNumber?: string

  /**
   * 专业
   */
  specialty?: string

  /**
   * 系统
   */
  systemName?: string

  /**
   * 发动机型别
   */
  engineType?: string

  /**
   * 发动机号码
   */
  engineSerialNumber?: string

  /**
   * 单位
   */
  unitName?: string

  /**
   * 故障现象
   */
  faultPhenomenon?: string

  /**
   * 故障发生地点
   */
  locationFault?: string

  /**
   * 发现时机
   */
  discoveryTime?: string

  /**
   * 故障件名称
   */
  itemName?: string

  /**
   * 故障件型别
   */
  itemType?: string

  /**
   * 故换件号码
   */
  partNumber?: string

  /**
   * 故换件型别
   */
  partType?: string

  /**
   * 故障失常码
   */
  faultCode?: string

  /**
   * 故障件装机日期
   */
  installationDate?: string

  /**
   * 故障原因
   */
  causeFault?: string

  /**
   * 故障性质
   */
  natureFault?: string

  /**
   * 故障责任
   */
  liabilityFault?: string

  /**
   * 故障后果
   */
  consequencesFault?: string

  /**
   * 发生日期
   */
  occurDate?: string

  /**
   * 判明方法
   */
  methodDetermination?: string

  /**
   * 排除方法
   */
  methodRectification?: string

  /**
   * 发现人
   */
  discoveredBy?: string

  /**
   * 排故人
   */
  rectificationBy?: string

  /**
   * 审核人
   */
  reviewerBy?: string

  /**
   * 排故人数
   */
  rectificationNumber?: string

  /**
   * 备注
   */
  remarks?: string

  /**
   * 日期范围参数
   */
  params?: any
}
