import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface ModelVO extends BaseEntity {
  /**
   * 模型名称
   */
  name: string

  /**
   * 模型类型
   */
  type: string

  /**
   * 模型链接
   */
  url: string

  /**
   * 参数
   */
  param: string

  /**
   * 数据列
   */
  columnData: string

  /**
   * 状态
   */
  status: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface ModelForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 模型名称
   */
  name?: string

  /**
   * 模型类型
   */
  type?: string

  /**
   * 模型链接
   */
  url?: string

  /**
   * 参数
   */
  param?: string

  /**
   * 数据列
   */
  columnData?: string

  /**
   * 状态
   */
  status?: string

  /**
   * 备注
   */
  remark?: string
}

export interface ModelQuery extends PageQuery {
  /**
   * 模型名称
   */
  name?: string

  /**
   * 模型类型
   */
  type?: string

  /**
   * 日期范围参数
   */
  params?: any
}
