import { BaseEntity } from '@/api/interface/index'
export interface ProductVO extends BaseEntity {
  /**
   * 父id
   */
  parentId: string | number

  /**
   * SNS编号
   */
  snsCode: string

  /**
   * 产品名称
   */
  name: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string

  /**
   * 子树对象
   */
  children: ProductVO[]
}

export interface ProductForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 父id
   */
  parentId?: string | number

  /**
   * SNS编号
   */
  snsCode?: string

  /**
   * 产品名称
   */
  name?: string
}

export interface ProductQuery {
  /**
   * SNS编号
   */
  snsCode?: string

  /**
   * 产品名称
   */
  name?: string

  /**
   * 日期范围参数
   */
  params?: any
}
