import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface TechnicalDocVO extends BaseEntity {
  /**
   * 名称
   */
  name: string

  /**
   * 作者
   */
  author: string

  /**
   * 出版时间
   */
  publicationDate: string

  /**
   * 资料类型
   */
  type: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface TechnicalDocForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 名称
   */
  name?: string

  /**
   * 作者
   */
  author?: string

  /**
   * 出版时间
   */
  publicationDate?: string

  /**
   * 资料类型
   */
  type?: string
}

export interface TechnicalDocQuery extends PageQuery {
  /**
   * 名称
   */
  name?: string

  /**
   * 作者
   */
  author?: string

  /**
   * 出版时间
   */
  publicationDate?: string

  /**
   * 资料类型
   */
  type?: string

  /**
   * 日期范围参数
   */
  params?: any
}
