import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface WarningVO extends BaseEntity {
  /**
   * 架次号
   */
  sortieNo: number

  /**
   * 机号
   */
  aircraftNo: number

  /**
   * 警告代码
   */
  code: string

  /**
   * 警告名称
   */
  name: string

  /**
   * 警告描述
   */
  describe: string

  /**
   * 状态
   */
  status: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface WarningForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 机号
   */
  aircraftNo?: number

  /**
   * 警告代码
   */
  code?: string

  /**
   * 警告名称
   */
  name?: string

  /**
   * 警告描述
   */
  describe?: string

  /**
   * 状态
   */
  status?: string
}

export interface WarningQuery extends PageQuery {
  /**
   * 架次号
   */
  sortieNo?: number

  /**
   * 机号
   */
  aircraftNo?: number

  /**
   * 警告代码
   */
  code?: string

  /**
   * 警告名称
   */
  name?: string

  /**
   * 警告描述
   */
  describe?: string

  /**
   * 日期范围参数
   */
  params?: any
}
