import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface LogininforVO extends BaseEntity {
  /**
   * 访问ID
   */
  infoId: string | number

  /**
   * 用户账号
   */
  userName: string

  /**
   * 客户端
   */
  clientKey: string

  /**
   * 设备类型
   */
  deviceType: string

  /**
   * 登录IP地址
   */
  ipaddr: string

  /**
   * 登录地点
   */
  loginLocation: string

  /**
   * 浏览器类型
   */
  browser: string

  /**
   * 操作系统
   */
  os: string

  /**
   * 登录状态（1成功 0失败）
   */
  status: string

  /**
   * 提示消息
   */
  msg: string

  /**
   * 访问时间
   */
  loginTime: string
}

export interface LogininforForm {
  /**
   * 访问ID
   */
  infoId?: string | number

  /**
   * 用户账号
   */
  userName?: string

  /**
   * 客户端
   */
  clientKey?: string

  /**
   * 设备类型
   */
  deviceType?: string

  /**
   * 登录IP地址
   */
  ipaddr?: string

  /**
   * 登录地点
   */
  loginLocation?: string

  /**
   * 浏览器类型
   */
  browser?: string

  /**
   * 操作系统
   */
  os?: string

  /**
   * 登录状态（1成功 0失败）
   */
  status?: string

  /**
   * 提示消息
   */
  msg?: string

  /**
   * 访问时间
   */
  loginTime?: string
}

export interface LogininforQuery extends PageQuery {
  /**
   * 访问ID
   */
  infoId?: string | number

  /**
   * 用户账号
   */
  userName?: string

  /**
   * 客户端
   */
  clientKey?: string

  /**
   * 设备类型
   */
  deviceType?: string

  /**
   * 登录IP地址
   */
  ipaddr?: string

  /**
   * 登录地点
   */
  loginLocation?: string

  /**
   * 浏览器类型
   */
  browser?: string

  /**
   * 操作系统
   */
  os?: string

  /**
   * 登录状态（1成功 0失败）
   */
  status?: string

  /**
   * 提示消息
   */
  msg?: string

  /**
   * 访问时间
   */
  loginTime?: string

  /**
   * 日期范围参数
   */
  params?: any
}
