import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface OperLogVO extends BaseEntity {
  /**
   * 日志主键
   */
  operId: string | number

  /**
   * 模块标题
   */
  title: string

  /**
   * 业务类型（0其它 1新增 2修改 3删除）
   */
  businessType: number

  /**
   * 方法名称
   */
  method: string

  /**
   * 请求方式
   */
  requestMethod: string

  /**
   * 操作类别（0其它 1后台用户 2手机端用户）
   */
  operatorType: number

  /**
   * 操作人员
   */
  operName: string

  /**
   * 部门名称
   */
  deptName: string

  /**
   * 请求URL
   */
  operUrl: string

  /**
   * 主机地址
   */
  operIp: string

  /**
   * 操作地点
   */
  operLocation: string

  /**
   * 请求参数
   */
  operParam: string

  /**
   * 返回参数
   */
  jsonResult: string

  /**
   * 操作状态（1正常 0异常）
   */
  status: number

  /**
   * 错误消息
   */
  errorMsg: string

  /**
   * 操作时间
   */
  operTime: string

  /**
   * 消耗时间
   */
  costTime: number
}

export interface OperLogForm {
  /**
   * 日志主键
   */
  operId?: string | number

  /**
   * 模块标题
   */
  title?: string

  /**
   * 业务类型（0其它 1新增 2修改 3删除）
   */
  businessType?: number

  /**
   * 方法名称
   */
  method?: string

  /**
   * 请求方式
   */
  requestMethod?: string

  /**
   * 操作类别（0其它 1后台用户 2手机端用户）
   */
  operatorType?: number

  /**
   * 操作人员
   */
  operName?: string

  /**
   * 部门名称
   */
  deptName?: string

  /**
   * 请求URL
   */
  operUrl?: string

  /**
   * 主机地址
   */
  operIp?: string

  /**
   * 操作地点
   */
  operLocation?: string

  /**
   * 请求参数
   */
  operParam?: string

  /**
   * 返回参数
   */
  jsonResult?: string

  /**
   * 操作状态（1正常 0异常）
   */
  status?: number

  /**
   * 错误消息
   */
  errorMsg?: string

  /**
   * 操作时间
   */
  operTime?: string

  /**
   * 消耗时间
   */
  costTime?: number
}

export interface OperLogQuery extends PageQuery {
  /**
   * 日志主键
   */
  operId?: string | number

  /**
   * 模块标题
   */
  title?: string

  /**
   * 业务类型（0其它 1新增 2修改 3删除）
   */
  businessType?: number

  /**
   * 方法名称
   */
  method?: string

  /**
   * 请求方式
   */
  requestMethod?: string

  /**
   * 操作类别（0其它 1后台用户 2手机端用户）
   */
  operatorType?: number

  /**
   * 操作人员
   */
  operName?: string

  /**
   * 部门名称
   */
  deptName?: string

  /**
   * 请求URL
   */
  operUrl?: string

  /**
   * 主机地址
   */
  operIp?: string

  /**
   * 操作地点
   */
  operLocation?: string

  /**
   * 请求参数
   */
  operParam?: string

  /**
   * 返回参数
   */
  jsonResult?: string

  /**
   * 操作状态（1正常 0异常）
   */
  status?: number

  /**
   * 错误消息
   */
  errorMsg?: string

  /**
   * 操作时间
   */
  operTime?: string

  /**
   * 消耗时间
   */
  costTime?: number

  /**
   * 日期范围参数
   */
  params?: any
}
