import http from '@/api'
import { FalseAlarmResultVO, FalseAlarmResultForm, FalseAlarmResultQuery } from '@/api/interface/als/falseAlarmResult'
/**
 * @name 查询虚警抑制结果列表
 * @param query 参数
 * @returns 返回列表
 */
export const listFalseAlarmResultApi = (query: FalseAlarmResultQuery) => {
  return http.get<FalseAlarmResultVO[]>('/als/falseAlarmResult/list', query, { loading: true })
}

/**
 * @name 查询虚警抑制结果详细
 * @param id id
 * @returns returns
 */
export const getFalseAlarmResultApi = (id: string | number) => {
  return http.get<FalseAlarmResultVO>(`/als/falseAlarmResult/${id}`)
}

/**
 * @name 新增虚警抑制结果
 * @param data data
 * @returns returns
 */
export const addFalseAlarmResultApi = (data: FalseAlarmResultForm) => {
  return http.post<any>('/als/falseAlarmResult', data, { loading: false })
}

/**
 * @name 修改虚警抑制结果
 * @param data data
 * @returns returns
 */
export const updateFalseAlarmResultApi = (data: FalseAlarmResultForm) => {
  return http.put<any>('/als/falseAlarmResult', data, { loading: false })
}

/**
 * @name 删除虚警抑制结果
 * @param id id
 * @returns returns
 */
export const delFalseAlarmResultApi = (id: string | number | Array<string | number>) => {
  return http.delete<any>(`/als/falseAlarmResult/${id}`)
}

/**
 * @name 导出数据
 * @returns returns
 */
export const exportFalseAlarmResultApi = (data: any) => {
  return http.post('/als/falseAlarmResult/export', data)
}
